//		-----------------------------------------
//		Cration d'images 89i pour Flib en 4 gris
//		           par Franois LEIBER
//		      Francois.leiber@laposte.net
//		            leiber.free.fr
//		          Compil avec Ti-gcc
//		 Librairies documentes par Zeljko Juric
//		              26/02/2001
//		-----------------------------------------


// Ce programme sert  transformer le texte renvoy par un programme de type BMP->C avec quatre niveaux de gris
// en deux images au format 89i, une pour chaque plane, pour pouvoir ensuite tre affich par Flib en gris.

// Je viens de tester  peu prs tous les programmes de type BMP->asm
// sur Ticalc/win/graphics. Mon verdict :
//
// - Graphics Studio : trs bien pour dessiner des images de n'importe quelle
// taille, et convertit bien certaines images car il a un trs bel effet de
// diffusion. Par contre, manque norme : pas moyen de rgler la luminosit au
// moment de la conversion, vous ne pouvez pas imaginer  quel point c'est important
// pour des images en quatre niveaux de gris. De plus, les images doivent avoir des
// tailles qui 'tombent rond' (multiples de 8 en horizontal et vertical, a finit
// par tre ennuyeux).
// - TiPaintPlus : bien, possibilit d'importation et de rglages, exportation possible
// sous de nombreux formats (C entre autres), peut-tre un peu lent.
// - Image Studio : une conversion extrmement simple avec tous les rglages
// ncessaires, mais pas de possibilit de corriger le fichier qu'on importe une
// fois qu'il est converti.
// - TIGCC Sprite Editor : simpliste, pour dessiner des sprites 8, 16, ou 32, mais
// trs pratique  l'usage, pas de fonction de conversion de BMP.
//
// Pour certains d'entre eux qui crent des fichiers asm 68K, il faut effectivement
// remplacer tous les $ par des 0x, virer les dc.b en dbut de ligne, 
// rajouter des virgules  la fin de chaque ligne et des accolades au dbut et  la fin.
// Ouf ! Mais bon, certains des logiciels
// (tigcc sprite editor) crent directement des textes pour le C.


// Pour voir s'il n'y a pas d'erreur, le programme affiche le rsultat, et attend que l'utilisateur appuie sur une touche.

// Attention, si vous vous trompez quelque part, ce programme risque de planter votre calculatrice, prenez vos prcautions !

#define OPTIMIZE_ROM_CALLS		// J'ai laiss dans le programme la dernire image que
#define SAVE_SCREEN				// j'ai convertie (je ne sais plus ce que c'est) pour servir d'exemple.

#include <tigcclib.h>

int _ti89;		// Ce programme est aussi compatible pour les 92+, remplacez alors par _ti92.

int _main()
{
	static unsigned char plan1[] = {0, 100, 0, 160,		// Copier ici les donnes du plane gris fonc, les quatre premiers octets indiquent la taille verticale et horizontale de l'image.
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x47,0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x00,0x00,0x7F,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x3F,0xFF,0x2B,0xC0,0x1E,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x80,0x00,0x6C,0x40,0x39,0xC8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x49,0x80,0x00,0x58,0x00,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x78,0x00,0x38,0x04,0x00,0x00,0x1A,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xC3,0xC0,0x76,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x19,0xC0,0x01,0xFE,0x00,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x08,0x30,0x00,0x00,0x00,0x00,0x00,0x01,0x50,0x00,0x07,0xFF,0xF8,0x03,0x06,0x00,0x00,0x00,0x00,0x00,0x1F,0xF8,0x00,0x00,0x00,0x00,0x00,0x02,0x40,0x3E,0x5E,0xFE,0x10,0x06,0xEE,0x00,0x00,0x00,0x00,0x00,0x30,0x7C,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x76,0xF0,0x00,0x00,0x1F,0xD2,0x00,0x00,0x00,0x00,0x00,0xF7,0xBF,0xE0,0x00,0x00,0x00,0x00,0x02,0x81,0xCD,0x90,0x30,0x00,0x00,0x82,0x00,0x00,0x00,0x00,0x0F,0xBE,0x08,0x8E,0x00,0x00,0x00,0x00,0x03,0x81,0xBB,0xE0,0x19,0x00,0x00,0x03,0xFF,0x80,0x00,0x01,0xF3,0xFF,0x06,0x05,0xC0,0x00,0x01,0x00,0x05,0x80,0x4E,0x01,0xCF,0x80,0x00,0x03,0xFF,0xC8,0x00,0x07,0xC7,0xFF,0x83,0x00,0x60,0x00,0x03,0xC0,0x07,0x80,0x00,0x03,0x20,0x00,0x00,0x00,0x00,0x7A,0x00,0x03,0x9F,0xF0,0x81,0x00,0x1C,0x00,0x07,0x00,0x27,0xA0,0x00,0x01,0x68,0x0F,0x10,0x00,0x00,0x0D,0x00,0x03,0xFF,0xFC,0xC1,0x80,0x07,0x00,0x0E,0x00,0x1C,0xE0,0x00,0x01,0x85,0x3B,0xC6,0x00,0x00,0x16,0x00,0x01,0xEF,0xFF,0x70,0xC0,0x01,0x00,0x39,0x00,0x69,0x40,0x00,0x00,0x03,0x81,0xF1,0x00,0x00,0x07,0x00,0x01,0xC7,0xFF,0x30,0x00,0x40,0x80,0x76,0x01,0xED,0x20,0x1F,0xC0,0x05,0xC3,0xE0,0x40,0x00,0x03,0x00,0x07,0xC1,0x7F,0xB8,0xC2,0x40,0xC1,0xFC,0x03,0x80,0x00,0xFB,0x38,0x1B,0xE3,0xD8,0x30,0x00,0x03,0x00,0x0F,0x40,0x1F,0x98,0xE2,0x80,0x43,0xF8,0x03,0x10,0x83,0x80,0x1E,0x36,0x91,0x80,0x30,0x3E,0x02,0x00,0x1A,0x00,0x1F,0x84,0x40,0x80,0x27,0xE6,0x07,0x0F,0x4E,0x00,0x07,0x3C,0x48,0x00,0x06,0x00,0x01,0x00,0x18,0x00,0x0F,0xC6,0x20,0x80,0x17,0xE4,0x06,0x6B,0x48,0x06,0x03,0x80,0xAC,0x00,0x01,0x00,0x01,0x00,0x28,0x00,0x07,0xC6,0x60,0x70,0x1F,0x3C,0x0F,0x4E,0x10,0x1F,0x80,0x43,0x92,0x01,0xF8,0x80,0x01,0x00,0xC4,0x00,0x07,0xC3,0x30,0x20,0x0E,0x7E,0x0C,0x40,0x30,0x78,0x40,0x67,0xDA,0x03,0x0C,0x20,0x00,0x00,0xD8,0x00,0x0F,0xE3,0x30,0x40,0x3E,0x2F,0x1E,0x88,0x20,0xF2,0xF0,0x27,0xC9,0x06,0xC2,0x30,0x00,0x01,0x92,0x00,0x07,0xF1,0x90,0x40,0x27,0x63,0x98,0x9A,0x41,0xDF,0xB0,0x11,0x0C,0x84,0xD1,0x08,0x00,0x01,0x94,0x00,0x07,0xE1,0x98,0x00,0x7D,0xFF,0x08,0x22,0x60,0xFF,0x80,0x00,0x06,0x44,0x22,0x0E,0x00,0x02,0x1C,0x00,0x03,0xF0,0x90,0x00,0xBD,0xEF,0x1A,0xDC,0x60,0x07,0x00,0x28,0x42,0x63,0x1C,0x02,0x41,0x03,0x10,0x02,0x03,0xF0,0x58,0x01,0x36,0xF1,0x18,0x70,0xE0,0x00,0x00,0x71,0xF1,0x30,0x70,0x01,0x81,0x04,0x18,0x00,0x27,0xF8,0xC8,0x03,0xE4,0x70,0x12,0x00,0x58,0x00,0x05,0x81,0xF8,0xD0,0x00,0x00,0xE1,0x06,0x10,0x02,0x63,0xF8,0x58,0x0D,0xE0,0x70,0x10,0x90,0x07,0x80,0x7C,0x03,0xF0,0x50,0x03,0x67,0xFD,0x08,0x14,0x00,0xC3,0xFC,0x28,0x09,0x80,0x38,0x13,0xD0,0x01,0xE0,0xF0,0x00,0xD1,0xEE,0xEB,0xE0,0xD3,0x0C,0x10,0x00,0x83,0xFE,0x38,0x33,0x00,0x38,0x19,0xF8,0x00,0x00,0x03,0x85,0x85,0x06,0x79,0xD0,0xC3,0x08,0x00,0x01,0x03,0xFC,0x38,0x67,0x00,0x08,0x13,0xE0,0x00,0x08,0x08,0xA4,0xC0,0x02,0x0A,0x98,0x62,0x08,0x04,0x02,0xC3,0xFC,0x78,0xCE,0x00,0x14,0x09,0x80,0x60,0xFA,0xA8,0x81,0x00,0x00,0x09,0x80,0x17,0x10,0x18,0x00,0xC3,0xFC,0x38,0x9E,0x00,0x10,0x0D,0xC2,0x37,0x02,0x44,0x01,0x00,0x00,0x08,0x8B,0x15,0x18,0x08,0x01,0x83,0xFE,0x3B,0x3F,0x00,0xC0,0x14,0x20,0x07,0x80,0x0C,0x04,0x00,0x00,0x06,0x03,0x87,0x18,0x00,0x07,0x03,0xFE,0x3E,0x2D,0x81,0xF8,0x0C,0x8C,0x06,0x80,0x00,0x2D,0x00,0x00,0x23,0x06,0xDE,0x12,0x04,0x00,0x43,0xDE,0x1C,0xFE,0x03,0xE8,0x0A,0x00,0x00,0xC0,0x04,0x50,0x00,0x05,0xF8,0x05,0x27,0x30,0x0D,0x01,0x83,0xEF,0x19,0xFE,0x03,0xF8,0x01,0x40,0x3C,0x60,0x04,0x00,0x06,0x8C,0x8F,0xA2,0x0C,0x31,0x25,0x03,0x03,0xFE,0x19,0xFE,0x1F,0xFC,0x01,0xC3,0x78,0x60,0x00,0x00,0x0E,0x0F,0xF9,0xF6,0x38,0x35,0xC2,0x04,0x03,0xFE,0x19,0xFF,0x3A,0x80,0x00,0x79,0x10,0x08,0x00,0x00,0x10,0xF4,0x7F,0x1A,0x70,0x37,0x03,0x00,0x03,0xFE,0x19,0x7F,0x72,0x80,0x00,0x78,0x30,0x01,0x80,0x18,0x23,0x80,0x0F,0x3C,0xE0,0x18,0x47,0x00,0x07,0xEE,0x11,0x7F,0x60,0x6E,0x00,0xE8,0x70,0x00,0x00,0x07,0x87,0xE8,0x1E,0x77,0xC0,0x12,0xE3,0x00,0x07,0x9E,0x13,0xFF,0xC0,0xE8,0x00,0xE1,0x80,0x00,0x00,0xA1,0x71,0xFE,0x3D,0x8B,0xC0,0x13,0xE1,0x00,0x0F,0x8F,0xF8,0xFF,0x81,0xE4,0x01,0xC6,0x00,0x00,0x22,0x17,0x47,0xFF,0xF7,0x4F,0x80,0x09,0x41,0x00,0x3F,0xFF,0x3D,0xFE,0x07,0xC4,0x03,0xD4,0x00,0x00,0x11,0x46,0xC7,0xDF,0x0F,0xFF,0x00,0x1C,0x40,0xC0,0x7D,0xDF,0x1F,0xFE,0x1F,0xC2,0x03,0x64,0x00,0x05,0x66,0x5A,0xB1,0x04,0x9F,0xCC,0x00,0x0B,0x80,0xA0,0x7F,0x8F,0xB1,0xFE,0x1F,0xC2,0x03,0x80,0x00,0x04,0x0C,0x4F,0x33,0xE1,0x74,0xC0,0x00,0x06,0x60,0x63,0xC7,0x0F,0xB1,0xD8,0x38,0x01,0x03,0x40,0x00,0x51,0x47,0x51,0xD6,0x01,0xCF,0xA0,0x00,0x06,0x00,0x43,0xD8,0x0F,0x30,0xF8,0x20,0x00,0x83,0x60,0x00,0xA7,0xF6,0x30,0x73,0xCB,0x5D,0xE0,0x00,0x02,0x30,0x3F,0x30,0x0F,0x30,0x20,0x00,0x00,0x63,0x10,0x02,0x0F,0x0E,0x0A,0xDE,0x1C,0xF9,0xF0,0x00,0x06,0x00,0x3F,0x20,0x8F,0x20,0x10,0x00,0x00,0x33,0x80,0x06,0x39,0x90,0xE7,0x89,0xFD,0xE3,0xE0,0x00,0x03,0x00,0x7E,0xE0,0x1F,0x20,0x18,0x00,0x00,0x23,0x80,0x05,0xD4,0x76,0x10,0x23,0x87,0xE8,0xE0,0x00,0x01,0x80,0x5C,0x80,0x7F,0x20,0x08,0x00,0x00,0x63,0x80,0x0C,0x8A,0x80,0x07,0x1D,0x8F,0xEC,0x20,0x00,0x01,0x00,0xDD,0x80,0xEF,0x20,0x0C,0x00,0x00,0xE3,0x80,0x0F,0x00,0x79,0xEF,0x71,0x7F,0xF8,0x20,0x00,0x01,0xC3,0x9F,0x81,0xEF,0x60,0x02,0x00,0x00,0x83,0x40,0x05,0xC0,0x03,0x6B,0x82,0xFF,0x10,0x60,0x00,0x00,0xC7,0xFB,0x07,0xDF,0xAC,0x03,0x00,0x01,0x03,0xC0,0x04,0xFA,0x01,0x07,0x4B,0xFD,0x80,0xC0,0x00,0x00,0x4F,0xBE,0x07,0xDF,0x28,0x03,0x00,0x00,0x02,0xC0,0x02,0x17,0xFF,0xF8,0x47,0xF6,0x03,0xC0,0x00,0x00,0x2F,0x72,0x07,0xBF,0x2C,0x03,0x00,0x00,0x01,0xE0,0x03,0xE0,0x8E,0xC8,0x9F,0xF6,0x07,0x80,0x00,0x00,0x1F,0xBE,0x0F,0x97,0x0C,0x01,0x00,0x00,0x00,0xF0,0x00,0x7C,0x1A,0x48,0xFE,0x50,0x07,0x00,0x00,0x00,0x3F,0x74,0x0F,0x90,0x2C,0x01,0x00,0x03,0x00,0x78,0x00,0x1F,0xF0,0x4F,0xFE,0x00,0x0A,0x00,0x00,0x00,0x1F,0x76,0x0F,0xB0,0x3E,0x03,0x00,0x0F,0x00,0x1A,0x00,0x02,0xFF,0x1F,0xF0,0x00,0x24,0x00,0x00,0x00,0x3E,0x76,0x0F,0x9F,0xFC,0x01,0x00,0x7E,0x00,0x0D,0x00,0x00,0xD7,0x00,0x40,0x11,0xD0,0x00,0x00,0x00,0x3E,0x7E,0x0F,0x87,0x1E,0x03,0x00,0x20,0x80,0x03,0x40,0x01,0x45,0xF0,0x00,0x1C,0x00,0x00,0x00,0x00,0x3F,0xFC,0x07,0xC0,0x3C,0x02,0x00,0x01,0x00,0x01,0xFF,0x3C,0x80,0xAF,0xFF,0xF0,0x00,0x00,0x00,0x00,0x7E,0xFC,0x03,0xCE,0x78,0x06,0x00,0x02,0x00,0x00,0x7F,0x7F,0x00,0x00,0x3C,0x00,0x00,0x00,0x00,0x00,0x7F,0xFC,0x03,0xFF,0xF0,0x0C,0x00,0x03,0x00,0x00,0x1F,0xFA,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFE,0x48,0xFF,0xC0,0x0C,0x00,0x02,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFE,0x00,0x4C,0x00,0x1C,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0x00,0x00,0x00,0x38,0x00,0x02,0x01,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0xE0,0x00,0x00,0xE0,0x00,0x06,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xF0,0x00,0x00,0xC0,0x00,0x1C,0x03,0x0C,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFE,0x78,0x00,0x13,0x00,0x00,0xB8,0x03,0x0F,0x58,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFE,0xFD,0xC1,0x7E,0x38,0x41,0xE8,0x01,0x82,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFC,0xFF,0xFF,0xD0,0x3F,0xC3,0x80,0x01,0x80,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xFC,0xFC,0xC0,0x80,0x00,0xAC,0x00,0x00,0xF8,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xF8,0x38,0x80,0x1C,0x00,0x38,0x00,0x00,0x1E,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xF0,0x1E,0x80,0x0C,0x00,0x40,0x00,0x00,0x07,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xE0,0x1D,0x80,0x2A,0x00,0xC0,0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xC0,0x06,0xC0,0x02,0x81,0x80,0x00,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x78,0x80,0x07,0x80,0x06,0x01,0x00,0x00,0xCF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x0D,0xE2,0x01,0x01,0x00,0x00,0xC2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x08,0x00,0x00,0x10,0x5F,0x90,0x81,0x00,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x01,0x7E,0x01,0x80,0x00,0x0A,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x00,0x13,0xC1,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x74,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0x08,0x00,0x1E,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0x00,0x25,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x12,0x25,0xF7,0xFF,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0D,0x93,0xF8,0xFD,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xA3,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xEC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
	static unsigned char plan0[] = {0, 100, 0, 160,		// Ici les donnes du plane gris clair
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0xFE,0x03,0xFF,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xC7,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0x80,0x07,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x00,0x00,0x3C,0x00,0x01,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x00,0x04,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x3F,0xFE,0x0C,0x00,0x00,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x9E,0x00,0x03,0xFF,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x07,0xC0,0x00,0x00,0x00,0x00,0x00,0x03,0x20,0x00,0x0F,0xFF,0xC0,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x1F,0xF8,0x00,0x00,0x00,0x00,0x00,0x07,0x40,0x1F,0xBF,0xFF,0xF8,0x0F,0xC7,0x00,0x00,0x00,0x00,0x00,0x70,0x7C,0x00,0x00,0x00,0x00,0x00,0x07,0xC0,0x60,0x60,0x60,0x00,0x3F,0xE7,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xF8,0x00,0x00,0x00,0x00,0x07,0xF0,0xDF,0x98,0x20,0x00,0x00,0x07,0x00,0x00,0x00,0x00,0x3F,0xFE,0x1C,0x7F,0x00,0x00,0x00,0x00,0x07,0x01,0xBF,0xB0,0x1C,0x00,0x00,0x07,0xFF,0xC0,0x00,0x00,0xFF,0xFF,0x8E,0x03,0x80,0x00,0x01,0xC0,0x03,0x00,0xFF,0xE0,0xEF,0x80,0x00,0x07,0xFF,0xF0,0x00,0x03,0xC7,0xFF,0x83,0x00,0xF0,0x00,0x03,0x80,0x03,0xC0,0x00,0x01,0xF8,0x00,0x00,0x07,0xFF,0xFC,0x00,0x03,0xDF,0xF9,0xC1,0x80,0x38,0x00,0x07,0x00,0x1F,0xC0,0x00,0x03,0xE4,0x00,0xF8,0x00,0x00,0x7E,0x00,0x03,0xFF,0xFC,0x60,0x80,0x0E,0x00,0x1D,0x80,0x7F,0xD0,0x00,0x01,0xC6,0xFC,0x0C,0x00,0x00,0x0F,0x00,0x03,0xC7,0xFE,0x60,0x80,0x03,0x00,0x7B,0x80,0xF5,0xB8,0x00,0x00,0x03,0x83,0xF3,0x80,0x00,0x03,0x00,0x03,0xC3,0xFF,0x30,0xC0,0x01,0x80,0xFE,0x00,0xC9,0xF0,0x3F,0xE0,0x09,0xC3,0xE8,0xC0,0x00,0x01,0x00,0x07,0xC0,0xFF,0x98,0x40,0xC0,0xC1,0xFC,0x01,0x88,0xC1,0xFC,0xF8,0x1C,0x61,0xD0,0x60,0x1C,0x01,0x00,0x0F,0x80,0x3F,0x9C,0x41,0xC0,0x63,0xFC,0x01,0x93,0x03,0xC0,0x0C,0x3E,0xB0,0xF0,0x18,0x7F,0x01,0x00,0x1F,0x00,0x0F,0xCE,0x60,0x80,0x37,0xF4,0x03,0x36,0xC6,0x00,0x07,0x3C,0x58,0x00,0x0C,0x00,0x00,0x00,0x3E,0x00,0x0F,0xC6,0x60,0xD8,0x37,0xF6,0x03,0x2D,0x9C,0x00,0x01,0x81,0x2C,0x00,0x63,0x80,0x00,0x00,0x7E,0x00,0x0F,0xC3,0x21,0xB0,0x1F,0xFE,0x06,0x47,0x18,0x3F,0x80,0xC7,0xF6,0x01,0xF8,0xC0,0x00,0x00,0x7A,0x00,0x0F,0xE3,0x21,0xB0,0x1F,0x3E,0x06,0xC0,0x30,0x70,0x60,0x65,0x63,0x03,0x0C,0x60,0x00,0x00,0xD6,0x00,0x07,0xE1,0xB0,0x70,0x1E,0x7F,0x0C,0x80,0x60,0xED,0xE0,0x37,0xC9,0x84,0xF6,0x10,0x00,0x01,0x94,0x00,0x07,0xE1,0xB0,0x40,0x7F,0x87,0x0D,0x3C,0x60,0xFF,0xF0,0x13,0x84,0x84,0x97,0x18,0x00,0x03,0x14,0x00,0x07,0xF0,0x90,0x40,0xFF,0xFB,0x1B,0xFE,0xC0,0x3F,0xE0,0x38,0x02,0x46,0x4F,0x04,0x00,0x03,0x14,0x00,0x07,0xF0,0xD8,0x00,0xFF,0xFF,0x9A,0xBC,0xC0,0x00,0x00,0x30,0x31,0x23,0xFE,0x03,0x80,0x06,0x1C,0x00,0x07,0xF8,0xD8,0x01,0xF6,0xE3,0x9A,0x78,0x60,0x00,0x00,0x60,0xF9,0xA1,0xF8,0x01,0xC0,0x06,0x1C,0x03,0x03,0xF8,0x58,0x03,0x66,0x70,0x1C,0x00,0x3C,0x00,0x03,0xC1,0xD8,0x90,0x00,0x00,0xC0,0x0C,0x1C,0x01,0x23,0xFC,0x68,0x06,0xC0,0x38,0x1C,0x60,0x0F,0xFF,0xFF,0x01,0xF0,0x48,0x00,0x1F,0xF8,0x0C,0x14,0x01,0x43,0xFC,0x78,0x1D,0x80,0x38,0x13,0xE8,0x00,0x1F,0x00,0x00,0x2F,0xFD,0xFF,0xFF,0xFC,0x18,0x16,0x01,0xC3,0xFC,0x78,0x3B,0x00,0x38,0x13,0x48,0x00,0x00,0x00,0x7F,0xFE,0xCF,0xF6,0x20,0x44,0x18,0x1E,0x03,0x83,0xFE,0x78,0x7A,0x00,0x3C,0x19,0xF0,0x00,0x07,0xFF,0xD9,0x80,0x00,0x1F,0x00,0x7D,0x18,0x1A,0x07,0x03,0xFE,0x38,0xCE,0x00,0x3C,0x18,0x00,0x1F,0xFF,0x4C,0x01,0x80,0x00,0x09,0x60,0x19,0x18,0x0A,0x04,0xC3,0xFE,0x39,0x8F,0x00,0x1C,0x18,0x3F,0xFB,0x10,0x04,0x03,0x00,0x00,0x0C,0xF0,0x33,0x10,0x0E,0x03,0x83,0xFE,0x3F,0x3D,0x00,0xD8,0x0C,0x44,0x43,0x00,0x04,0x03,0x00,0x00,0x06,0x07,0x5B,0x10,0x0E,0x02,0x83,0xFE,0x3E,0x7D,0x01,0xE8,0x06,0x00,0x06,0x80,0x0C,0x10,0x00,0x00,0x03,0x0D,0xF7,0x10,0xCE,0x00,0xC3,0xFE,0x38,0x7F,0x81,0xF8,0x07,0x00,0x06,0x80,0x06,0x20,0x00,0x0F,0xFC,0x06,0x7E,0x13,0xC6,0x01,0xC3,0xFE,0x39,0xFF,0x07,0xFC,0x03,0x80,0x06,0x40,0x02,0x00,0x00,0x7F,0xFF,0xC3,0x1E,0x11,0xC6,0x03,0x83,0xFF,0x3B,0xFF,0x0F,0xEC,0x00,0xFC,0xFC,0x38,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0x1C,0x17,0xE7,0x02,0x03,0xFF,0x3B,0xFF,0x3F,0x80,0x00,0xFF,0x90,0x0C,0x00,0x00,0x78,0xF8,0x3F,0xB8,0x38,0x13,0xC7,0x00,0x03,0xFF,0x3B,0xFF,0x70,0x04,0x00,0x3C,0x10,0x06,0x00,0x03,0xC7,0x80,0x0F,0x38,0x70,0x11,0x43,0x00,0x03,0xFF,0x3B,0xFF,0xE0,0x34,0x00,0x70,0xE0,0x00,0x00,0x1C,0x67,0xF0,0x1E,0x58,0xE0,0x19,0x43,0x80,0x03,0xCF,0x39,0xFF,0xC0,0xEC,0x00,0xC3,0xC0,0x00,0x01,0x73,0xF9,0xFF,0xF9,0xB3,0x80,0x1B,0xC3,0x80,0x07,0x1F,0xF1,0xFE,0x01,0xEC,0x00,0x82,0x00,0x00,0x0D,0xEF,0x9C,0xFF,0xEF,0xFF,0x00,0x1A,0x41,0xC0,0x1F,0xFF,0x38,0xFF,0x03,0xE6,0x01,0x8C,0x00,0x00,0x7B,0xE7,0xE6,0xEF,0xBF,0xFC,0x00,0x0A,0x41,0xC0,0x3F,0xEF,0x3E,0xFF,0x1F,0xC6,0x01,0x98,0x00,0x03,0x9F,0x3D,0xFB,0x76,0x7F,0xF0,0x00,0x0E,0x60,0xC0,0xF3,0x8F,0x33,0xB9,0x3F,0xC3,0x01,0x00,0x00,0x0E,0x7C,0x0F,0xFF,0xF3,0xFF,0xE0,0x00,0x0E,0xE0,0xC1,0xEE,0x0F,0x30,0xB8,0x38,0x01,0x81,0x80,0x00,0x38,0x9B,0xB3,0x87,0xF0,0xFF,0x60,0x00,0x06,0x20,0x67,0xDC,0x0F,0x30,0x70,0x70,0x01,0xC1,0x80,0x01,0xC3,0xF8,0xCE,0xF8,0x27,0xBE,0x30,0x00,0x06,0x00,0x7F,0xB0,0x0F,0x30,0x30,0x00,0x00,0x61,0x80,0x03,0x1E,0x7F,0x33,0x6C,0x7D,0x7E,0x30,0x00,0x03,0x00,0x3F,0x60,0x0F,0x30,0x18,0x00,0x00,0x31,0x00,0x06,0x7B,0xC1,0xE4,0x67,0xF3,0xF0,0x30,0x00,0x03,0x00,0x3E,0x40,0x3F,0x30,0x08,0x00,0x00,0x31,0x00,0x04,0xF7,0xF8,0x38,0x37,0xEF,0xFF,0x30,0x00,0x03,0x00,0xFE,0xC0,0x7F,0xB0,0x0C,0x00,0x00,0x61,0x00,0x07,0x14,0x0F,0x88,0xEE,0xDF,0xF0,0x60,0x00,0x01,0x81,0xFD,0x80,0xFF,0xB0,0x04,0x00,0x00,0xC1,0x00,0x06,0x03,0x80,0x98,0xF8,0xBF,0xF0,0x60,0x00,0x00,0x83,0xF9,0x03,0xFF,0xB8,0x06,0x00,0x01,0xC1,0x80,0x07,0xC0,0x00,0xF7,0xCD,0xFF,0x80,0xE0,0x00,0x00,0xC7,0xBB,0x07,0xDF,0x68,0x02,0x00,0x01,0x81,0x80,0x04,0x7C,0x0F,0xEE,0x67,0xFF,0x01,0xC0,0x00,0x00,0x6F,0xBB,0x07,0x9F,0x2C,0x03,0x00,0x00,0x01,0x80,0x07,0x0F,0xFF,0xFC,0x9F,0xF8,0x01,0x80,0x00,0x00,0x7F,0xBE,0x0F,0x9F,0xFC,0x01,0x00,0x00,0x00,0xC0,0x03,0xF1,0xFF,0xE2,0x9F,0xE0,0x03,0x00,0x00,0x00,0x3F,0x76,0x0F,0xBF,0xEC,0x01,0x00,0x00,0x00,0x60,0x01,0xFE,0x24,0x44,0xFF,0xA0,0x0E,0x00,0x00,0x00,0x1F,0x7E,0x0F,0xB0,0x1C,0x01,0x00,0x07,0x80,0x30,0x00,0x0F,0xF8,0x7F,0xF0,0x00,0x3C,0x00,0x00,0x00,0x3F,0x7C,0x0F,0xB0,0x7C,0x01,0x00,0x0F,0x80,0x3C,0x00,0x01,0xFF,0xFF,0xFC,0x01,0xF8,0x00,0x00,0x00,0x3F,0x7C,0x0F,0x9F,0xCE,0x03,0x00,0x3E,0x00,0x1E,0x00,0x00,0x6F,0xFF,0x80,0x0F,0xE0,0x00,0x00,0x00,0x3F,0x7C,0x0F,0x80,0x1C,0x03,0x00,0x31,0x00,0x0F,0x80,0x00,0xC3,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x00,0x7E,0x7C,0x0F,0x80,0x3C,0x03,0x00,0x03,0x00,0x03,0xC0,0x03,0xC0,0x5F,0xFF,0xFC,0x00,0x00,0x00,0x00,0x7F,0xFE,0x07,0xF0,0xF8,0x06,0x00,0x01,0x00,0x00,0xFF,0xBF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFE,0x03,0xFF,0xF0,0x06,0x00,0x02,0x00,0x00,0x3F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFE,0x01,0xFF,0xE0,0x0C,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0x00,0x3E,0x00,0x18,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0x80,0x00,0x00,0x30,0x00,0x03,0x01,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xC0,0x00,0x00,0x60,0x00,0x06,0x03,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xE0,0x00,0x00,0xC0,0x00,0x0C,0x03,0x08,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xF8,0x00,0x0F,0x80,0x00,0x78,0x01,0x0F,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFE,0xFE,0x80,0xFF,0x7F,0x81,0xF0,0x01,0x06,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFE,0xFF,0xFF,0xE0,0x7F,0xC7,0x00,0x01,0xC0,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFC,0xBF,0xFF,0x1C,0x00,0x1E,0x00,0x00,0xF8,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xF8,0x1E,0xC0,0x06,0x00,0x70,0x00,0x00,0x0E,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xF0,0x1F,0xC0,0x06,0x00,0xE0,0x00,0x00,0x03,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xE0,0x0F,0xC0,0x16,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xC0,0x03,0x80,0x0F,0x00,0x80,0x00,0x78,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x87,0x00,0x07,0x80,0x0B,0x01,0x80,0x00,0x47,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x00,0x1F,0xFC,0x01,0x03,0x00,0x00,0x63,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x38,0x3F,0xE1,0x03,0x00,0x00,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0xFF,0x80,0x00,0x00,0x1C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x0F,0xE0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x00,0x00,0xF8,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x2D,0xE0,0x00,0x0F,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x84,0x03,0xD8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1B,0xBE,0xFF,0xFF,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0D,0x92,0xFF,0x02,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x5F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};

	unsigned short taille = 2000;		// Placer ici la taille en octets de la taille prise par le corps de l'image (horiz*vert/8).
	static char nom0[] = "pic0";		// Ici les noms  donner aux deux images.
	static char nom1[] = "pic1";
	char name[19], *nam;
	SYM_ENTRY *entry;

	GrayMode(GRAY_ON);					// Initialise l'affichage pour afficher votre cration, et voir s'il n'y a pas de problmes.
	SetPlane(0);
	ClrScr();
	BitmapPut(0, 0, &plan0, &(SCR_RECT){{0,0,159,99}}, 4);	// Affiche les deux planes.
	SetPlane(1);
	ClrScr();
	BitmapPut(0, 0, &plan1, &(SCR_RECT){{0,0,159,99}}, 4);

	name[0] = 0;
	entry = DerefSym(SymAdd(strcpy(name+1, nom0)+strlen(nom0)));		// Cre la premire image.
	nam = (unsigned char*)HeapDeref(entry->handle = HeapAlloc(taille+7));
	nam[0] = (taille+5)/256;
	nam[1] = (taille+5)%256;
	memcpy(nam+2, plan0, taille+4);
	nam[taille+6] = 0xDF;

	name[0] = 0;
	entry = DerefSym(SymAdd(strcpy(name+1, nom1)+strlen(nom1)));		// Cre la deuxime image.
	nam = (unsigned char*)HeapDeref(entry->handle = HeapAlloc(taille+7));
	nam[0] = (taille+5)/256;
	nam[1] = (taille+5)%256;
	memcpy(nam+2, plan1, taille+4);
	nam[taille+6] = 0xDF;

	ngetchx();					// Attend l'appui sur une touche pour que vous puissiez admirer.
	GrayMode(GRAY_OFF);
	return;
}
